# DataExchange
TKVRML
Vrml

# Vrml_Cone Class Reference

defines a Cone node of VRML specifying geometry shapes.
This node represents a simple cone, whose central axis is aligned
with the y-axis. By default , the cone is centred at (0,0,0)
and has size of -1 to +1 in the all three directions.
the cone has a radius of 1 at the bottom and height of 2,
with its apex at 1 and its bottom at -1. The cone has two parts:
the sides and the bottom

`#include <Vrml_Cone.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Cone (const Vrml_ConeParts aParts=Vrml_ConeALL, const Standard_Real aBottomRadius=1, const Standard_Real aHeight=2)
Standard_EXPORT void | SetParts (const Vrml_ConeParts aParts)
Standard_EXPORT Vrml_ConeParts | Parts () const
Standard_EXPORT void | SetBottomRadius (const Standard_Real aBottomRadius)
Standard_EXPORT Standard_Real | BottomRadius () const
Standard_EXPORT void | SetHeight (const Standard_Real aHeight)
Standard_EXPORT Standard_Real | Height () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Vrml_ConeParts | myParts
Standard_Real | myBottomRadius
Standard_Real | myHeight

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Cone::Vrml_Cone | ( | const Vrml_ConeParts | aParts = `Vrml_ConeALL`,
|  | const Standard_Real | aBottomRadius = `1`,
|  | const Standard_Real | aHeight = `2`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Real Vrml_Cone::BottomRadius | ( |  | ) | const

Standard_EXPORT Standard_Real Vrml_Cone::Height | ( |  | ) | const

void Vrml_Cone::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Cone::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Cone::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Vrml_ConeParts Vrml_Cone::Parts | ( |  | ) | const

Standard_EXPORT Standard_OStream& Vrml_Cone::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_Cone::SetBottomRadius | ( | const Standard_Real | aBottomRadius | ) |

Standard_EXPORT void Vrml_Cone::SetHeight | ( | const Standard_Real | aHeight | ) |

Standard_EXPORT void Vrml_Cone::SetParts | ( | const Vrml_ConeParts | aParts | ) |

## Field Documentation

Standard_Real Vrml_Cone::myBottomRadius `[private]`

Standard_Real Vrml_Cone::myHeight `[private]`

Vrml_ConeParts Vrml_Cone::myParts `[private]`

The documentation for this class was generated from the following file:

- Vrml_Cone.hxx